Bug 41328 - VIEWING: Active hyperlink area far away from rotated text with hyperlink
Summary: VIEWING: Active hyperlink area far away from rotated text with hyperlink
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2011-09-29 03:40 UTC by Rainer Bielefeld Retired
Modified: 2020-10-27 04:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
SCREENSHOT (9.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-09-29 03:41 UTC, Rainer Bielefeld Retired
Details
SCREENSHOT (9.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-09-29 03:41 UTC, Rainer Bielefeld Retired
Details
SCREENSHOT (9.34 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-09-29 03:41 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-09-29 03:40:46 UTC
Steps to reproduce with "LibreOffice 3.4.3 RC2 - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]":
1. download and open attached "linksample.ods"
2. try to click the hyperlink in the word "Problem"
   Expected: in rotated text
   Actual: far away from text (see green area) is the hyperlink
           click area where you see the mouse pointer changing

The problem only exists for rotated text.
Comment 1 Rainer Bielefeld Retired 2011-09-29 03:41:22 UTC
Created attachment 51748 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 2 Rainer Bielefeld Retired 2011-09-29 03:41:43 UTC
Created attachment 51749 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 3 Rainer Bielefeld Retired 2011-09-29 03:41:58 UTC
Created attachment 51750 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 4 Rainer Bielefeld Retired 2011-09-29 03:46:11 UTC
Also a problem with "LibreOffice Portable 3.3.3  - WIN7  Home Premium (64bit) German UI [OOO330m19 (Build:301  Tag 3.3.3.1)]" and OOo 3.1.1. so seems to be inherited from OOo. 

Still a problem  with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) English UI [(Build ID: 81607ad-3dca5fd-da627d2)]"

- Reported with Bug Submission Assistant -
Comment 5 sasha.libreoffice 2012-04-26 02:10:24 UTC
Reproduced in 3.3.4 and 3.5.2 on Fedora 64 bit

This problem reproducible not only with rotated text. If we use Context menu->Format cells, tab "Alignment", field "Shrink to fit cell size" on bottom, problem also appears.

If text has typographic errors and Spellcheck enabled, problem becomes even worse. Spellcheck context menu appears in wrong place.
Comment 6 Rainer Bielefeld Retired 2012-04-26 06:30:50 UTC
@Kohei:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 7 A (Andy) 2014-10-11 16:23:33 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

What I had done to reproduce it:
1. Open a new spreadsheet in CALC
2. Write a word in any cell
3. Select this word
4. Go to INSERT -> HYPERLINK 
5. Type in the TARGET field any webpage link and choose APPLY and then CLOSE
6. Go to FORMAT -> CELLS -> tab ALIGNMENT -> section TEXT ORIENTATION
7. Change the text orientation to any degree (e. g. 40 degrees)

Result: The text is rotated and the cell size increased.  Now, go with the mouse over this cell and look for the hyperlink (change of the mouse pointer to hyperlink).
-> It is not at the text, but at a different position.

8. Now enlarge the cell size

Result: Search again for the hyperlink.
-> It is not at the text, but at a different position.  It is somewhere on the left in lower half of the cell.
Comment 8 QA Administrators 2015-10-14 19:58:19 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2016-01-30 15:15:42 UTC
Repro like comment 7

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2017-03-06 14:14:26 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-10-27 04:24:57 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug